---
title: animation-duration
slug: Web/CSS/animation-duration
tags:
  - CSS
  - CSS Animations
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>animation-duration</code></strong> <a href="/en-US/docs/CSS">CSS</a> property sets the length of time that an animation takes to complete one cycle.</p>

<div>{{EmbedInteractiveExample("pages/css/animation-duration.html")}}</div>

<p>It is often convenient to use the shorthand property {{ cssxref("animation") }} to set all animation properties at once.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Single animation */
animation-duration: 6s;
animation-duration: 120ms;

/* Multiple animations */
animation-duration: 1.64s, 15.22s;
animation-duration: 10s, 35s, 230ms;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>{{cssxref("&lt;time&gt;")}}</code></dt>
 <dd>The time that an animation takes to complete one cycle. This may be specified in either seconds (<code>s</code>) or milliseconds (<code>ms</code>). The value must be positive or zero and the unit is required. A value of <code>0s</code>, which is the default value, indicates that no animation should occur.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> Negative values are invalid, causing the declaration to be ignored. Some early, prefixed, implementations may consider them as identical to <code>0s</code>.</p>
</div>

<div class="note">
<p><strong>Note</strong>: When you specify multiple comma-separated values on an <code>animation-*</code> property, they will be assigned to the animations specified in the {{cssxref("animation-name")}} property in different ways depending on how many there are. For more information, see <a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations#Setting_multiple_animation_property_values">Setting multiple animation property values</a>.</p>
</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="The_animation_has_an_animation-duration_of_0.7_seconds">The animation has an animation-duration of 0.7 seconds</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="box"&gt;&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.box {
  background-color: rebeccapurple;
  border-radius: 10px;
  width: 100px;
  height: 100px;
  animation-name: rotate;
  animation-duration: 0.7s;
}

@keyframes rotate {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}</pre>

<p>{{EmbedLiveSample("Examples","100%","250")}}</p>

<p>See <a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations" title="CSS/CSS_animations">CSS animations</a> for more examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Animations', '#animation-duration', 'animation-duration')}}</td>
   <td>{{Spec2('CSS3 Animations')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.animation-duration")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations" title="Tutorial about CSS animations">Using CSS animations</a></li>
 <li>JavaScript {{domxref("AnimationEvent")}} API</li>
</ul>
